vprocss: xvprocss_log.c File Reference

| vprocss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xvprocss_log.c File Reference

## Overview

Contains Event Logging routines for xvprocss.

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    2.00  dmc  01/11/16 Initial release.
          dmc  03/03/16 Add events for VDMA configuration and operational errors
    2.20  rco  11/01/16 Change setup ignore messages (for csc, hscaler, vscaler
                        etc.) severity from Info to Error
    2.30  rco  11/15/16 Make debug log optional (can be disabled via makefile)*
    2.40  vyc  10/04/17 Add 420 support in CSC-only topology

## Functions
void | XVprocSs_LogReset (XVprocSs *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XVprocSs_LogWrite (XVprocSs *InstancePtr, XVprocSs_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logging mechanism. More...
u16 | XVprocSs_LogRead (XVprocSs *InstancePtr)
| This function will read the last event from the log. More...
void | XVprocSs_LogDisplay (XVprocSs *InstancePtr)
| This function will read and print the entire event log. More...

## Function Documentation

void XVprocSs_LogDisplay | ( | XVprocSs * | InstancePtr | ) |

This function will read and print the entire event log.

Parameters

  InstancePtr | is a pointer to the XVprocSs core instance.

Returns
  None.

Note
  After reading out all events, the log will be empty.

References XVPROCSS_EDAT_SUCCESS, XVPROCSS_EVT_CFG_CSC, XVPROCSS_EVT_CFG_DEINT, XVPROCSS_EVT_CFG_HCR, XVPROCSS_EVT_CFG_HSCALER, XVPROCSS_EVT_CFG_MAX, XVPROCSS_EVT_CFG_VCRI, XVPROCSS_EVT_CFG_VCRO, XVPROCSS_EVT_CFG_VPSS, XVPROCSS_EVT_CFG_VSCALER, XVPROCSS_EVT_CFGERR_VDMA, XVPROCSS_EVT_CHK_BASEADDR, XVPROCSS_EVT_CHK_TOPO, XVPROCSS_EVT_GET_ZPWIN, XVPROCSS_EVT_INIT, XVPROCSS_EVT_INIT_LBOX, XVPROCSS_EVT_INIT_RESAXIM, XVPROCSS_EVT_INIT_RESAXIS, XVPROCSS_EVT_INIT_ROUTER, XVPROCSS_EVT_INIT_VDMA, XVPROCSS_EVT_NONE, XVPROCSS_EVT_OPERR_VDMA, XVPROCSS_EVT_RESET_VPSS, XVPROCSS_EVT_SET_PIPMODE, XVPROCSS_EVT_SET_PIPWIN, XVPROCSS_EVT_SET_ZOOMMODE, XVPROCSS_EVT_SET_ZOOMWIN, XVPROCSS_EVT_START_VPSS, XVPROCSS_EVT_STOP_VPSS, XVPROCSS_EVT_UPDATE_ZPWIN, and XVprocSs_LogRead().

u16 XVprocSs_LogRead | ( | XVprocSs * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XVprocSs core instance.

Returns
  The log data.

Note
  The read is "destructive" in the sense an event may only be read once, the read pointer then advancing to the next entry. After reading all the events (see routine XVprocSs_LogDisplay), the log will be empty.

References XVprocSs::Log, XVPROCSS_EVT_BUFFSIZE, and XVPROCSS_EVT_NONE.

Referenced by XVprocSs_LogDisplay().

void XVprocSs_LogReset | ( | XVprocSs * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the XVprocSs core instance.

Returns
  None.

Note
  HeadIndex == TailIndex means that the log is empty.

References XVprocSs::Log.

Referenced by XSys_Init().

void XVprocSs_LogWrite | ( | XVprocSs * | InstancePtr,
|  | XVprocSs_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the XVprocSs core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  The DataBuffer is circular. If full, new events will overwrite oldest events.

References XVprocSs::Log, XVPROCSS_EVT_BUFFSIZE, and XVPROCSS_EVT_LAST_ENUM.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_CfgInitialize(), XVprocSs_GetZoomPipWindow(), XVprocSs_LoadChromaResamplerCoeff(), XVprocSs_LoadScalerCoeff(), XVprocSs_ProgRouterMux(), XVprocSs_Reset(), XVprocSs_SetPictureDemoWindow(), XVprocSs_SetPIPBackgroundColor(), XVprocSs_SetPipMode(), XVprocSs_SetSubsystemConfig(), XVprocSs_SetupRouterDataFlow(), XVprocSs_SetZoomMode(), XVprocSs_SetZoomPipWindow(), XVprocSs_Start(), XVprocSs_Stop(), XVprocSs_SubcoreInitCsc(), XVprocSs_SubcoreInitDeinterlacer(), XVprocSs_SubcoreInitHCrsmplr(), XVprocSs_SubcoreInitHScaler(), XVprocSs_SubcoreInitLetterbox(), XVprocSs_SubcoreInitResetAximm(), XVprocSs_SubcoreInitResetAxis(), XVprocSs_SubcoreInitRouter(), XVprocSs_SubcoreInitVCrsmpleIn(), XVprocSs_SubcoreInitVCrsmpleOut(), XVprocSs_SubcoreInitVdma(), XVprocSs_SubcoreInitVScaler(), XVprocSs_UpdateZoomPipWindow(), XVprocSs_VdmaReadSetup(), XVprocSs_VdmaReset(), XVprocSs_VdmaStartTransfer(), and XVprocSs_VdmaWriteSetup().